gvSIG CE and SEXTANTE GIS Bug Tracker on MantisBT
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000115gvSIG Community EditionBinaries and launcher scriptspublic2011-07-18 17:262013-05-09 09:15
Reporterbenducke 
Assigned Tobenducke 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionAll released versions 
Target VersiongvSIG CE 1.0.0Fixed in Version 
Summary0000115: GDAL bindings need update to 1.8.1
DescriptionThe last version of GDAL/OGR that works with the current Java bindings in "libjni-gdal" is 1.7.3. I have tried GDAL 1.8.1. The bindings compile, but attempting to add a raster dataset to a View throws a non-descript error ("Can't read raster"). It is important to update the GDAL Java bindings, as this is the only realistic way of maintaining support for all those raster formats.
Additional InformationOnce the GDAL Java bindings have been updated to 1.8.x, we can add support for ECW and MrSid (incl. LAS and JPG2000) to GDAL and get rid of "libjni-ecw" and "libjni-mrsid".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000026)
benducke (developer)
2011-07-19 08:57

Do not forget to increase version number in "libjni-gdal/CMakeLists.txt"
(0000226)
benducke (developer)
2013-05-09 09:15

Fixed. Latest JNI bindings confirmed to work with GDAL 1.9.x.

- Issue History
Date Modified Username Field Change
2011-07-18 17:26 benducke New Issue
2011-07-18 17:26 benducke Status new => assigned
2011-07-18 17:26 benducke Assigned To => benducke
2011-07-19 08:57 benducke Note Added: 0000026
2012-03-19 08:26 administrator Category Binaries and installer => Binaries and launcher scripts
2013-05-09 09:15 benducke Note Added: 0000226
2013-05-09 09:15 benducke Status assigned => resolved
2013-05-09 09:15 benducke Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Hosted by Sourceforge.netPowered by Mantis Bugtracker